com.h3c.sdn.dao.model

## Class BaseEntity

- java.lang.Object
- - com.h3c.sdn.dao.model.BaseEntity

- All Implemented Interfaces:
    Storable<UUID>
  Direct Known Subclasses:
    AlertTopicListenerEntity, BaseVersionedEntity, SystemInformationEntity, SystemLocalEntity

      @MappedSuperclass
      public abstract class BaseEntity
      extends Object
      implements Storable<UUID>

  Base persistent entity. This entity should be used as the basis for all persistence data objects.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseEntity()` Default constructor needed by JPA.
    `BaseEntity(UUID uid)` Creates a new entity.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `UUID` | `getId()` Gets the internally-assigned identifier used for intra-model references.
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BaseEntity

          public BaseEntity()

      Default constructor needed by JPA.

    - #### BaseEntity

          public BaseEntity(UUID uid)

      Creates a new entity.
      Parameters:
        `uid` - uid

  - ### Method Detail

    - #### getId

          public UUID getId()

      Description copied from interface: `Storable`
      Gets the internally-assigned identifier used for intra-model references. This identifier is generated internally by the persistence layer and is assumed to be unique per object type, and hence per database table.
      Specified by:
        `getId` in interface `Storable<UUID>`
      Returns:
        internal object identifier suitable as a table lookup key

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2014. All Rights Reserved.